#!/bin/bash
# livarp-xs maker
# a simple script to remove livarp sessions
# depends on zenity
# arpinux@2012

# are you root ?
# ----------------------------------------------------------------------
if [ "`whoami`" != "root" ]; then
    zenity --info --text "this script need admin power
    launch it as root" &
    exit
fi

# set username
# ----------------------------------------------------------------------
HUMAN=`w -h | tail -n1 | awk '{print $1}'`

# set remove_scripts dir
# ----------------------------------------------------------------------
DIR="/usr/local/bin/livarp-xs-maker"

# configure dialog window
# ----------------------------------------------------------------------
ACTION=`zenity --height=520 --list --radiolist --title "Livarp-xs Maker" \
--text "Welcome to Livarp-xs-Maker $HUMAN

!! WARNING !!
this script will delete and uninstall
session_selector and ALL files and binary
from UNselected sessions, including
startup scripts and config files.

it will also backup and replace your ~/.xinitrc
to start the selected session in auto-mode

!! make sure you are logged into the
session you want to keep !!
select the session you want to keep -->>" \
--column "keep" --column "session" FALSE vtwm FALSE wmfs FALSE dwm FALSE echinus \
FALSE awesome FALSE evilwm FALSE pekwm FALSE fluxbox FALSE compiz`

# remove sessions
# ----------------------------------------------------------------------
if [ -n "${ACTION}" ]; then
    rm /usr/local/bin/session_selector.sh
    case $ACTION in
        vtwm)
            $DIR/remove_dwm.sh
            $DIR/remove_wmfs.sh
            $DIR/remove_echinus.sh
            $DIR/remove_awesome.sh
            $DIR/remove_evil.sh
            $DIR/remove_fluxbox.sh
            $DIR/remove_pekwm.sh
            $DIR/remove_compiz.sh
            mv $HOME/.xinitrc $HOME/.xinitrc.bak
            cp $DIR/xinitrc_vtwm $HOME/.xinitrc
            chown $HUMAN:$HUMAN $HOME/.xinitrc
            chown $HUMAN:$HUMAN $HOME/.xinitrc.bak
            touch /usr/share/livarp/livarp-xs
            echo "file auto-generated by livarp-xs-maker script. don't remove." > /usr/share/livarp/livarp-xs
            zenity --info --text "end of the script\n welcome to livarp-xs-vtwm :)"
            ;;
        dwm)
            $DIR/remove_vtwm.sh
            $DIR/remove_wmfs.sh
            $DIR/remove_echinus.sh
            $DIR/remove_awesome.sh
            $DIR/remove_evil.sh
            $DIR/remove_fluxbox.sh
            $DIR/remove_pekwm.sh
            $DIR/remove_compiz.sh
            mv $HOME/.xinitrc $HOME/.xinitrc.bak
            cp $DIR/xinitrc_dwm $HOME/.xinitrc
            chown $HUMAN:$HUMAN $HOME/.xinitrc
            chown $HUMAN:$HUMAN $HOME/.xinitrc.bak
            touch /usr/share/livarp/livarp-xs
            echo "file auto-generated by livarp-xs-maker script. don't remove." > /usr/share/livarp/livarp-xs
            zenity --info --text "end of the script\n welcome to livarp-xs-dwm :)"
            ;;
        echinus)
            $DIR/remove_vtwm.sh
            $DIR/remove_dwm.sh
            $DIR/remove_wmfs.sh
            $DIR/remove_awesome.sh
            $DIR/remove_evil.sh
            $DIR/remove_fluxbox.sh
            $DIR/remove_pekwm.sh
            $DIR/remove_compiz.sh
            mv $HOME/.xinitrc $HOME/.xinitrc.bak
            cp $DIR/xinitrc_echinus $HOME/.xinitrc
            chown $HUMAN:$HUMAN $HOME/.xinitrc
            chown $HUMAN:$HUMAN $HOME/.xinitrc.bak
            touch /usr/share/livarp/livarp-xs
            echo "file auto-generated by livarp-xs-maker script. don't remove." > /usr/share/livarp/livarp-xs
            zenity --info --text "end of the script\n welcome to livarp-xs-echinus :)"
            ;;
        evilwm)
            $DIR/remove_vtwm.sh
            $DIR/remove_dwm.sh
            $DIR/remove_wmfs.sh
            $DIR/remove_echinus.sh
            $DIR/remove_awesome.sh
            $DIR/remove_fluxbox.sh
            $DIR/remove_pekwm.sh
            $DIR/remove_compiz.sh
            mv $HOME/.xinitrc $HOME/.xinitrc.bak
            cp $DIR/xinitrc_evilwm $HOME/.xinitrc
            chown $HUMAN:$HUMAN $HOME/.xinitrc
            chown $HUMAN:$HUMAN $HOME/.xinitrc.bak
            touch /usr/share/livarp/livarp-xs
            echo "file auto-generated by livarp-xs-maker script. don't remove." > /usr/share/livarp/livarp-xs
            zenity --info --text "end of the script\n welcome to livarp-xs-evilwm :)"
            ;;
        wmfs)
            $DIR/remove_vtwm.sh
            $DIR/remove_dwm.sh
            $DIR/remove_echinus.sh
            $DIR/remove_awesome.sh
            $DIR/remove_evil.sh
            $DIR/remove_fluxbox.sh
            $DIR/remove_pekwm.sh
            $DIR/remove_compiz.sh
            mv $HOME/.xinitrc $HOME/.xinitrc.bak
            cp $DIR/xinitrc_wmfs $HOME/.xinitrc
            chown $HUMAN:$HUMAN $HOME/.xinitrc
            chown $HUMAN:$HUMAN $HOME/.xinitrc.bak
            touch /usr/share/livarp/livarp-xs
            echo "file auto-generated by livarp-xs-maker script. don't remove." > /usr/share/livarp/livarp-xs
            zenity --info --text "end of the script\n welcome to livarp-xs-wmfs :)"
            ;;
        awesome)
            $DIR/remove_vtwm.sh
            $DIR/remove_dwm.sh
            $DIR/remove_wmfs.sh
            $DIR/remove_echinus.sh
            $DIR/remove_evil.sh
            $DIR/remove_fluxbox.sh
            $DIR/remove_pekwm.sh
            $DIR/remove_compiz.sh
            mv $HOME/.xinitrc $HOME/.xinitrc.bak
            cp $DIR/xinitrc_awesome $HOME/.xinitrc
            chown $HUMAN:$HUMAN $HOME/.xinitrc
            chown $HUMAN:$HUMAN $HOME/.xinitrc.bak
            touch /usr/share/livarp/livarp-xs
            echo "file auto-generated by livarp-xs-maker script. don't remove." > /usr/share/livarp/livarp-xs
            zenity --info --text "end of the script\n welcome to livarp-xs-awesome :)"
            ;;
        pekwm)
            $DIR/remove_vtwm.sh
            $DIR/remove_dwm.sh
            $DIR/remove_wmfs.sh
            $DIR/remove_echinus.sh
            $DIR/remove_awesome.sh
            $DIR/remove_evil.sh
            $DIR/remove_fluxbox.sh
            $DIR/remove_compiz.sh
            mv $HOME/.xinitrc $HOME/.xinitrc.bak
            cp $DIR/xinitrc_pekwm $HOME/.xinitrc
            chown $HUMAN:$HUMAN $HOME/.xinitrc
            chown $HUMAN:$HUMAN $HOME/.xinitrc.bak
            touch /usr/share/livarp/livarp-xs
            echo "file auto-generated by livarp-xs-maker script. don't remove." > /usr/share/livarp/livarp-xs
            zenity --info --text "end of the script\n welcome to livarp-xs-pekwm :)"
            ;;
        fluxbox)
            $DIR/remove_vtwm.sh
            $DIR/remove_dwm.sh
            $DIR/remove_wmfs.sh
            $DIR/remove_echinus.sh
            $DIR/remove_awesome.sh
            $DIR/remove_evil.sh
            $DIR/remove_pekwm.sh
            $DIR/remove_compiz.sh
            mv $HOME/.xinitrc $HOME/.xinitrc.bak
            cp $DIR/xinitrc_fluxbox $HOME/.xinitrc
            chown $HUMAN:$HUMAN $HOME/.xinitrc
            chown $HUMAN:$HUMAN $HOME/.xinitrc.bak
            touch /usr/share/livarp/livarp-xs
            echo "file auto-generated by livarp-xs-maker script. don't remove." > /usr/share/livarp/livarp-xs
            zenity --info --text "end of the script\n welcome to livarp-xs-fluxbox :)"
            ;;
        compiz)
            $DIR/remove_vtwm.sh
            $DIR/remove_dwm.sh
            $DIR/remove_wmfs.sh
            $DIR/remove_echinus.sh
            $DIR/remove_awesome.sh
            $DIR/remove_evil.sh
            $DIR/remove_fluxbox.sh
            $DIR/remove_pekwm.sh
            mv $HOME/.xinitrc $HOME/.xinitrc.bak
            cp $DIR/xinitrc_compiz $HOME/.xinitrc
            chown $HUMAN:$HUMAN $HOME/.xinitrc
            chown $HUMAN:$HUMAN $HOME/.xinitrc.bak
            touch /usr/share/livarp/livarp-xs
            echo "file auto-generated by livarp-xs-maker script. don't remove." > /usr/share/livarp/livarp-xs
            zenity --info --text "end of the script\n welcome to livarp-xs-compiz :)"
            ;;
    esac
fi

# eof ------------------------------------------------------------------
