#!/bin/sh
#############################################
## script de post-installation livarp0.3.9 ##
##-----------------------------------------##
clear
# are you root ?
# ----------------------------------------------------------------------
if [ "`whoami`" != "root" ]; then
    echo ""
    echo " you're not root..."
    echo " this script needs admin privileges"
    echo "   please launch this script as root."
    sleep 4s && exit 0
fi
# set user
# ----------------------------------------------------------------------
HUMAN=`w -h | tail -n1 | awk '{print $1}'`
# allow user to sudo halt/reboot without password
# ----------------------------------------------------------------------
if [ "`cat /etc/sudoers | grep shutdown`" = "" ]; then
    echo "$HUMAN    ALL=(ALL) NOPASSWD: /sbin/shutdown, /sbin/reboot" >> /etc/sudoers
fi
# fix network-manager
# ----------------------------------------------------------------------
sed --in-place=.bak 's/managed=false/managed=true/' /etc/NetworkManager/NetworkManager.conf
# ask for confirmation
# ----------------------------------------------------------------------
echo ""
echo " ##############################################################"
echo " #         welcome on livarp0.3.9 post-install script,        #"
echo " #             this script will take a few minutes.           #"
echo " ##----------------------------------------------------------##"
echo ""
echo ""
echo "  this script finish the livarp_0.3.9 install process:"
echo "     - purge of the livecd-build packages"
echo "     - adding main/contrib/non-free archives"
echo "     - adding testing, unstable and multimedia repositories"
echo "     - adding apt/preferences file ready for pinning"
echo "       Debian Squeeze retains its priority"
echo "     - apt update and systeme upgrade"
echo "     - option: install pidgin for multiprotocol tchat,"
echo ""
echo ""
echo " you need an active internet connection"
echo " you could run this script later.. hit Enter to continue."
echo -n " (Y|n) > "
read a
if [ "$a" = "n" ] || [ "$a" = "N" ]; then
    echo ""
    echo " this script will be launched on next login"
    echo ""
    sleep 4s && exit 0
fi
# purge des paquets live*
# ----------------------------------------------------------------------
echo ""
echo -n " remove live build packages ? (Y|n)"
read a
if [ "$a" = "y" ] || [ "$a" = "Y" ] || [ "$a" = "" ]; then
    apt-get autoremove --purge -y --force-yes live-boot live-boot-initramfs-tools live-config live-config-sysvinit live-initramfs
fi
# apt-setup
# ----------------------------------------------------------------------
echo " Testing internet connection..."
sleep 2s
echo ""
IS=`/bin/ping -c 1 ftp.de.debian.org | grep -c "64 bytes"`
if [ "$IS" -lt "1" ]; then
    until [ "$CONT" != "" ]; do
    echo ""
    IS=`/bin/ping -c 1 ftp.de.debian.org | grep -c "64 bytes"`
    if [ "$IS" -lt "1" ]; then
        clear
        echo "  No internet connection."
        echo ""
        echo "  Configure your internet connection"
        echo "  then hit a key to continue, or hit \"q + Enter\""
        echo "  to quit this script."
        read a
        if [ "$a" = "q" ]; then
            clear
            echo " see you on next login. "
            echo ""
            exit 0
        fi
        else
            CONT="pass"
        fi
    done
fi
clear
echo "  internet is yours..."
echo ""
if ! [ -e /etc/apt/sources.list.bak ]; then
    echo ""
    echo " \"apt\" configuration:"
    echo " - add full Debian repositories."
    echo "   with stable/testing/unstable repositories."
    echo " - add /etc/apt/preferences file for \"pinning\"."
    echo ""
    echo " >> Debian Squeeze retains its priority <<"
    echo ""
    echo ""
    echo -n "hit Enter to continue "
    read anykey
    echo ""
    echo " adding sources.list and preferences files recovery."
    echo ""
    mv /etc/apt/sources.list /etc/apt/sources.list.bak
    cp /usr/share/livarp/sources.list /etc/apt/sources.list
    sleep 3s
fi
# apt-update
# ----------------------------------------------------------------------
echo ""
echo " apt-update and multimedia keyring installation."
echo ""
sleep 3s
apt-get update && apt-get install --allow-unauthenticated deb-multimedia-keyring
echo ""
echo " update repositories and upgrade system."
echo ""
sleep 3s
apt-get update
apt-get dist-upgrade -y --force-yes
echo ""
touch /usr/share/livarp/livarpfirstlog
echo "file auto-generated by livarp_post-install script. don't remove." > /usr/share/livarp/livarpfirstlog
echo ""
echo " your system is up-to-date."
echo ""
echo " you have weechat & mcabber ..."
echo -n " do you need pidgin (y|N) ?"
read a
if [ "$a" = "y" ] || [ "$a" = "Y" ]; then
    apt-get install pidgin
    echo " pidgin installed ..."
    echo -n "hit Enter to continue"
    read anykey
fi
echo ""
echo " post-install is finish."
echo -n " hit Enter to leave."
read anykey
exit 0
